#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/uptimed
NAME=uptimed
DESC="uptime daemon"

test -f $DAEMON || exit 0

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --start --quiet --pidfile /var/run/uptimed \
		--exec $DAEMON
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/uptimed \
		--exec $DAEMON
	echo "$NAME."
	;;
  restart|force-reload)
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/uptimed \
		--exec $DAEMON
	sleep 1
	start-stop-daemon --start --quiet --pidfile /var/run/uptimed \
		--exec $DAEMON
	echo "$NAME."
	;;
  restart-if-running)
	set +e
	echo -n "Restarting $DESC (if running): "
	if start-stop-daemon --stop --quiet --pidfile /var/run/uptimed \
			--exec $DAEMON; then
		sleep 1
		start-stop-daemon --start --quiet --pidfile /var/run/uptimed \
			--exec $DAEMON
	fi
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
